<?
include("../conexion/class-sb-conexion.php");	
include("../../conex.php");	
$db = new sb_mysql();
$db->proceso($empresa_global);
$anual=$db->ano_actual;
$tope=$anual+1;

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=renta.xls");
header("Pragma: no-cache");
header("Expires: 0");

/*********** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en sesion******/
	$sql_empresa = "SELECT * FROM empresa  WHERE id=$empresa_global";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_giro=mysql_result($res_empresa, $row, "actividad");
		$row=$row+1;
		}


		$mes[1]="Enero"; $mes[7]="Julio";
		$mes[2]="Febrero"; $mes[8]="Agosto";
		$mes[3]="Marzo"; $mes[9]="Setiembre";
		$mes[4]="Abril"; $mes[10]="Octubre";
		$mes[5]="Mayo"; $mes[11]="Noviembre";
		$mes[6]="Junio"; $mes[12]="Diciembre";
		
		


$sql="select * from sb_renta_factores  where anual = $anual order by mes";
	$fcons = mysql_query($sql,$enlace);
		$con=0;  
		  	while (mysql_fetch_object ($fcons))
		  		{
				$mx= (int) mysql_result($fcons, $con, "mes");	
				$factor[$mx]=mysql_result($fcons, $con, "factor");
	            $con+=1;
				 }

$wsql = "select Tope_Zona_Extrema, Mes_Proceso
		from sb_datos_empresa_proceso, sb_proceso 
		Where Codigo_Empresa_Datos=$empresa_global AND  Proceso_Datos=Codigo_Proceso AND Ano_Proceso=$anual";
		
       $fcons = mysql_query($wsql,$enlace);
		$con=0;  
		  	while (mysql_fetch_object ($fcons))
		  		{
				$mx = (int) mysql_result($fcons, $con, "Mes_Proceso");	
				
				$topeZ[$mx]=mysql_result($fcons, $con, "Tope_Zona_Extrema");
				
	            $con+=1;
				 }				 
   
    $T_UNICO_A=0;
     $T_exenta_A=0;
	 $T_AFECTO_A=0;
	 $T_ZONA_A=0;	 
     $TT_UNICO_A=0;
     $TT_exenta_A=0;
	 $TT_AFECTO_A=0;


 ?>	
 
 <table>
 
 <?

//**************
	$sql="select * 	FROM sb_funcionarios_lista
		  	INNER JOIN  sb_contratos_lista 
		  		on sb_contratos_lista.Codigo_Func_cont 
				= sb_funcionarios_lista.Codigo_Func
		   where sb_contratos_lista.Codigo_Empresa_Cont
				= $empresa_global AND year(Fecha_Inicio_Cont)<'$tope'  AND (year(Fecha_Termino_Cont)='0000' OR year(Fecha_Termino_Cont)='$anual')
		   order  by Rut_Func"; 
		  
	$fcons = mysql_query($sql,$enlace);
		  $conta=0;
		  	while (mysql_fetch_object ($fcons))
		  		{	
				$Rut=mysql_result($fcons, $conta, "Rut_Func");
				$formarut = explode("-", $Rut);
				$cuerporut=$formarut[0];
				 $cuerporut=str_replace('.', '', $cuerporut);
				$dvrut=$formarut[1];
				 $Rut=str_replace('.', '', $Rut);
				  $Rut=str_replace('-', '', $Rut);
				if (strlen($Rut)<9)  $Rut=" ".$Rut;
	           $Codigo_Func=mysql_result($fcons, $conta, "Codigo_Func");

	 $T_TRI=0;
	$T_THA=0; 
	$T_UNICO=0;
	$T_exenta=0;
	$T_DTAFP=0;
	$T_AFECTO=0;
	
    $T_UNICO_A=0;
     $T_exenta_A=0;
	 $T_AFECTO_A=0;
$periodo[1]=$periodo[2]=$periodo[3]=$periodo[4]=$periodo[5]=$periodo[6]=$periodo[7]=$periodo[8]=$periodo[9]=$periodo[10]=$periodo[11]=$periodo[12]=' ';
	
	$sql_liq="select
	Codigo_Func_Liq,
    Total_Imponible_Liq,
	Total_Haberes_Liq,
	SUBSTR(Mes_Proceso,5,2) as MES,
	Codigo_Liq, Afecto_Zona_Func	
	from sb_datos_liquidacion
	inner join sb_contratos_lista
		on sb_datos_liquidacion.Codigo_Cont_Liq = sb_contratos_lista.Codigo_Cont
	inner join sb_funcionarios_lista 
		on Codigo_Func_Liq = Codigo_Func
    WHERE Codigo_Empresa_Cont = $empresa_global and
		  SUBSTR(sb_datos_liquidacion.mes_Proceso,1,4) = $anual and
          Codigo_Func_Liq= $Codigo_Func";
    
	 
    
	
	$consulta = mysql_query($sql_liq,$enlace);
	$cont=0;	  
		  	while (mysql_fetch_object ($consulta))
		  		{	
				
	          $liq=mysql_result($consulta, $cont, "Codigo_Liq");
			  $emp=mysql_result($consulta, $cont, "Codigo_Func_Liq");
			  $por_zona=mysql_result($consulta, $cont, "Afecto_Zona_Func");
			  $DAFP=0;
			 $sql_haber="SELECT Valor_Plantilla FROM sb_plantilla_haberes_descuentos WHERE Codigo_Liq_Plantilla=$liq AND Codigo_HabDes_Plantilla=29";
	         $consulta_haber = mysql_query($sql_haber,$enlace);	        
			  while (mysql_fetch_object ($consulta_haber))
			 {
			 $DAFP= mysql_result($consulta_haber,0, "Valor_Plantilla");
			 }
              $DSAL=0; 
			 $sql_haber="select Valor_Plantilla from sb_plantilla_haberes_descuentos where Codigo_Liq_Plantilla=$liq and Codigo_HabDes_Plantilla=30";
	         $consulta_haber = mysql_query($sql_haber,$enlace);
	        while (mysql_fetch_object ($consulta_haber))
			{
			 $DSAL=mysql_result($consulta_haber,0, "Valor_Plantilla");
			 }
			  $UNICO=0;   		 
             $sql_haber="select Valor_Plantilla from sb_plantilla_haberes_descuentos where Codigo_Liq_Plantilla=$liq and Codigo_HabDes_Plantilla=32";
	       $consulta_haber = mysql_query($sql_haber,$enlace);
			 while (mysql_fetch_object ($consulta_haber))
	         {			
			 $UNICO=mysql_result($consulta_haber,0, "Valor_Plantilla");
             }	
			$DCES=0; 
			 $sql_haber="select Valor_Plantilla from sb_plantilla_haberes_descuentos where Codigo_Liq_Plantilla=$liq and Codigo_HabDes_Plantilla=33";
	         $consulta_haber = mysql_query($sql_haber,$enlace);
	        while (mysql_fetch_object ($consulta_haber))
			{
			$DCES=mysql_result($consulta_haber,0, "Valor_Plantilla");
			 }
			 $DVOL=0; 
			 $sql_haber="select Valor_Plantilla from sb_plantilla_haberes_descuentos where Codigo_Liq_Plantilla=$liq and Codigo_HabDes_Plantilla=28";
	         $consulta_haber = mysql_query($sql_haber,$enlace);
	        while (mysql_fetch_object ($consulta_haber))
			{
			$DVOL=mysql_result($consulta_haber,0, "Valor_Plantilla");
			 }	
			$DADI=0; 
			 $sql_haber="select Valor_Plantilla from sb_plantilla_haberes_descuentos where Codigo_Liq_Plantilla=$liq and Codigo_HabDes_Plantilla=31";
	         $consulta_haber = mysql_query($sql_haber,$enlace);
	        while (mysql_fetch_object ($consulta_haber))
			{
			$DADI=mysql_result($consulta_haber,0, "Valor_Plantilla");
			 }
			 		    
	$M = (int) mysql_result($consulta, $cont, "MES");
	
	$TRI=mysql_result($consulta, $cont, "Total_Imponible_Liq");
	$THA=mysql_result($consulta, $cont, "Total_Haberes_Liq"); 
	 
 if ($TRI!=0) 	 { $periodo[$M]='C'; }
 
	 $ZONA=0;
	// Afecto_Zona_Func    porcentaje    1,por  /por
    $Tope_Zona_Extrema=$topeZ[$M];   // 357950; //    
	if ($por_zona!=0)
	 { if ( $AFECTO*(($por_zona/100)/(1+($por_zona/100)))>=$Tope_Zona_Extrema)
	  {$ZONA=$Tope_Zona_Extrema;} 
	  else
	  {  $ZONA=$AFECTO*(($por_zona/100)/(1+($por_zona/100))); }
	 } 
	
	$exenta=$THA-$TRI;
	$DTAFP=$DAFP+$DSAL+$DCES+$DVOL+$DADI;
	$AFECTO=$TRI-$DTAFP;
	$AFECTO_A=$factor[$M]*$AFECTO;
    $UNICO_A=$factor[$M]*$UNICO;
    $exenta_A=$factor[$M]*$exenta;
	$ZONA_A=$factor[$M]*$ZONA;	
	 
	$T_TRI=$T_TRI+$TRI;
	$T_THA=$T_THA+$THA; 
	$T_UNICO=$T_UNICO+$UNICO;
	$T_exenta=$T_exenta+$exenta;
	$T_DTAFP=$T_DTAFP+$DTAFP;
	$T_AFECTO=$T_AFECTO+$AFECTO;
	$T_ZONA_A+=$ZONA_A;
    $T_UNICO_A=$T_UNICO_A+$UNICO_A;
    $T_exenta_A=$T_exenta_A+$exenta_A;
	$T_AFECTO_A=$T_AFECTO_A+$AFECTO_A;
	    
	$T_MAYOR_A=0;
	$T_FRANCA_A=0;
$cont+=1;  
}
   if ($T_AFECTO_A>0)
   {
   ?>	
 
 <tr>
      
    <td><?=$cuerporut;?> </td>  
	<td><?=$dvrut;?> </td>  
   <td><?=number_format($T_AFECTO_A,0,',','');?></td>
    <td><?=number_format($T_UNICO_A,0,',','');?></td>
    <td><?=number_format($T_MAYOR_A,0,',','');?></td>
    <td><?=number_format($T_exenta_A,0,',','');?></td>
     <td><?=number_format($T_FRANCA_A,0,',','');?></td>
	 <td><?=number_format($T_ZONA_A,0,',','');?></td>
    <?
	
	for ($i=1;$i<13;$i++)
	{
	?> 
      <td><?=$periodo[$i];?> </td>
    <?
	}
	?>
    
    <td style="border-width:1px; border-right-width:1px"><div align="right"><?=$emp;?></div></td>          
    </tr>
  
    <?

   	}	 
$conta+=1;
  }
  

 ?>
 </table>
